Page MenuHomePhabricator

Meta: Prototype new JS framework (malu)
Closed, DeclinedPublic

Description

Malu is created and working.

It is published at npmjs.com/package/malu, the latest release is 0.0.2. Owners of the package at npmjs.com are @dduvall and me.

Example code on how to use it is in Gerrit patch 256404. The patch used to work fine with Malu 0.0.2 but it is broken for the current version of Firefox (46). The fix is simple, Malu depends on selenium-webdriver ~2.47.0. Upgrading to the latest version of selenium-webdriver (2.53.2) fixes the problem. It has been a while since I have tried it, but the patch should work fine with the current version of Chrome.

There are a few commits in Malu since the 0.0.2 release that are not backwards compatible, so patch 256404 does not work with Malu master. I have tried updating the patch, but my JavaScript skills are not so good, so the progress is slow. I have reached out to a couple of people with JavaScript skills that have shown interest in Malu, one of them replied that he is willing to help (so far). We will pair this or the next week.

Related Objects

Event Timeline

greg created this task.Mar 28 2016, 11:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2016, 11:55 PM
greg added a project: Malu.Mar 29 2016, 9:52 PM
dduvall moved this task from Backlog to Malu-Prototype on the Malu board.Mar 29 2016, 10:14 PM
dduvall edited projects, added Malu (Malu-Prototype); removed Malu.

@zeljkofilipin can you add a status summary to this task, please?

zeljkofilipin updated the task description. (Show Details)Jun 2 2016, 2:44 PM
zeljkofilipin added a subscriber: dduvall.
greg added a comment.Jun 9 2016, 8:45 PM

@zeljkofilipin What is left to do here before the "prototype" is considered done?

All tasks in Malu-Prototype project should be resolved.

greg renamed this task from Prototype new JS framework (malu) to Meta: Prototype new JS framework (malu).Jun 13 2016, 4:49 PM
greg moved this task from Backlog to Doing on the Malu (Malu-Prototype) board.
hashar closed this task as Declined.Apr 24 2017, 12:37 PM
hashar added a subscriber: hashar.

We are using Webdriver.io with the middlewar being directly into mediawiki/core, see https://www.mediawiki.org/wiki/Selenium/Node.js . Hence MALU tasks are all obsoletes and to be archived (T163159)